Skip to content

FINA Devices

The FINA Device object

object

Attributes

idstring
Other attributes
premise_idstring
electronic_device_namestring
is_activeboolean
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
Examplejson
{
  "id": "fina_device_507f1f77bcf86cd799439011",
  "premise_id": "fina_premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "1",
  "is_active": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Get electronic device

GET/fiscalization/fina/devices/{id}

Get a single electronic device by ID

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Device ID

import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.finaDevices.getFinaDevice('FINADEVICES_ID');

console.log(response);

Returns

idstring
is_activeboolean
electronic_device_namestring
Other parameters
premise_idstring
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
json
{
  "id": "fina_device_507f1f77bcf86cd799439011",
  "premise_id": "fina_premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "1",
  "is_active": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Update electronic device

PATCH/fiscalization/fina/devices/{id}

Update mutable FINA electronic device settings. The starting number can only be changed before invoices have been issued for the device-level sequence.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Device ID

Body parameters

starting_numberintegeroptionalnullable
import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.finaDevices.update('FINADEVICES_ID', {
  starting_number: 250
});

console.log(response);
Example:

Returns

idstring
is_activeboolean
electronic_device_namestring
Other parameters
premise_idstring
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
json
{
  "id": "fina_device_507f1f77bcf86cd799439011",
  "premise_id": "fina_premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "1",
  "is_active": true,
  "starting_number": 250,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-02T00:00:00.000Z"
}

Delete electronic device

DELETE/fiscalization/fina/devices/{id}

Deactivate an electronic device.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Device ID

import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

await sdk.finaDevices.delete('FINADEVICES_ID');

console.log('Deleted successfully');

Returns

electronic_device_namestring

Name of the registered electronic device

Other parameters
successboolean
messagestring
json
{
  "success": true,
  "message": "Electronic device deactivated successfully",
  "electronic_device_name": "1"
}

List electronic devices

GET/fiscalization/fina/premises/{id}/devices

List all electronic devices for a business premise

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Premise ID

import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.finaDevices.listFinaDevices('FINADEVICES_ID');

console.log(response);
json
[]

Register electronic device

POST/fiscalization/fina/premises/{id}/devices

Register an electronic device (cash register, POS) for a business premise. Device ID must be digits only.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Premise ID

Body parameters

electronic_device_namestringrequired

Electronic device name (OznNapUr), digits only, 1-20 chars

Other parameters
starting_numberintegeroptionalnullable
import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.finaDevices.registerFinaDevice('FINADEVICES_ID', {
  electronic_device_name: "1",
  starting_number: 100
});

console.log(response);
Example:

Returns

electronic_device_namestring

Name of the registered electronic device

Other parameters
successboolean
messagestring
json
{
  "success": true,
  "message": "Electronic device registered successfully",
  "electronic_device_name": "1"
}